Create FX quote
curl --request POST \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/fx-quotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipient": {
"accountId": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e"
},
"fromAmount": 123,
"toAmount": 123
}
'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/fx-quotes"
payload = {
"recipient": { "accountId": "b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e" },
"fromAmount": 123,
"toAmount": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipient: {accountId: 'b2c3d4e5-f6a7-4b8c-9d0e-1f2a3b4c5d6e'},
fromAmount: 123,
toAmount: 123
})
};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/users/{uid}/accounts/{aid}/fx-quotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"destination": {
"currency": "CURRENCY",
"amount": 1000
},
"fee": {
"amount": 100,
"breakdown": {
"merchantFee": 40,
"systemFee": 60
},
"currency": "EUR"
},
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"quote": {
"pair": "<string>",
"rate": 123,
"timestamp": "<string>",
"validUntil": "<string>"
},
"quoteId": "<string>"
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}FX
Create FX quote
Create an FX quote to swap funds between two accounts of the same user with different currencies.
POST
/
api
/
v1
/
account
/
users
/
{uid}
/
accounts
/
{aid}
/
fx-quotes
Create FX quote
Authorizations
API Key for accessing management endpoints
Body
application/json
FX quote details
⌘I